"""
rescriptoon
Copyright (C) 2018-2019 Fabian Peter Hammerle <fabian@hammerle.me>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <https://www.gnu.org/licenses/>.
"""

import pytest

from rescriptoon._actions import EngineAction

# pylint: disable=protected-access


@pytest.mark.parametrize(
    ("target_engine_index", "engine_label"),
    [(None, "all engines"), (0, "engine #0"), (1, "engine #1"),],
)
def test__engine_label(target_engine_index, engine_label):
    action = EngineAction(target_engine_index=target_engine_index)
    assert action._engine_label == engine_label
